# This config file is meant to be edited once, before the site is deployed.
# After that, new edits are rarely needed.

# Usually, you need only to change `title`, `email`, `description`, `baseurl`, `url` and `date`.
# To see complete guide, please take a look into `readme.md` file.

# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: R3 howto-cards for Data Management and IT.
email: lcsb-sysadmins@uni.lu
description: >- # this means to ignore newlines until "baseurl:"
  Bioinformatics Core assists LCSB researchers with the organization, management, and curation of research data through its R3 initiative.
  This page is an index for lab cards  that are intended to provide practical guidance  in  implementing Data Management, Data Protection and IT setup.

# URL settings (the most difficult part, please refer to the guide)
baseurl: "/howto-cards"  # the subpath of your site, e.g. /gitlab-repository-name
url: "https://r3.pages.uni.lu"  # the base hostname & protocol for your site, e.g. http://gitlab-namespace-name.pages.uni.lu/

# Banner settings
banner: howto-card  # When you have custom images, change this setting's value to the name of the folder containing them
logo: small  # Change to "big" (without quotas) in case of having broad logo
date: "2019"

# Social media icon settings
twitter_username: uni_lu
facebook_username: uni.lu
linkedin_schoolname: university-of-luxembourg

# Produces a cleaner folder structure when using categories
permalink: /:year/:month/:title.html

# Pagination Settings
pagination:
  enabled: true
  title: ':title - page :num of :max'
  per_page: 7
  permalink: '/page/:num/'
  limit: 0
  sort_field: 'date'
  sort_reverse: true
  trail:
    before: 2
    after: 2

# Build settings (no need to touch these)
markdown: kramdown
theme: jekyll-theme-lcsb-default
plugins:
  - jekyll-feed
  - jekyll-paginate-v2

# These settings are used to display share link to howto.lcsb.uni.lu
# The display logic itself is in the template
share_url: https://howto.lcsb.uni.lu/?
include_link_index: 4
defaults:
  -
    scope:
      path: "external/*"
    values:
      include_link: true


# Exclude from processing. (no need to touch these)
# The following items will not be processed, by default. Create a custom list
# to override the default setting.
# exclude:
#   - Gemfile
#   - Gemfile.lock
#   - node_modules
#   - vendor/bundle/
#   - vendor/cache/
#   - vendor/gems/
#   - vendor/ruby/
